pip install keras-retinanet==0.5.0 OSError: [WinError 193] %1 is not a valid Win32 application

I’m having an issue installing a dependency called keras-retinanet. I’m having a hard time making out what the error is telling me. $ pip install keras-retinanet==0.5.0 Collecting keras-retinanet==0.5.0 Using cached keras-retinanet-0.5.0.tar.gz (59 kB) ERROR: Command errored out with exit status 1: command: ‘c:\users\nicol\appdata\local\programs\python\python37\python.exe’ -c ‘import sys, setuptools, tokenize; sys.argv[0] = ‘”‘”‘C:\\Users\\Nicol\\AppData\\Local\\Temp\\pip-install-v20g1wmz\\keras-retinanet\\setup.py'”‘”‘; __file__='”‘”‘C:\\Users\\Nicol\\AppData\\Local\\Temp\\pip-install-v20g1wmz\\keras-retinanet\\setup.py'”‘”‘;f=getattr(tokenize, ‘”‘”‘open'”‘”‘, open)(__file__);code=f.read().replace(‘”‘”‘\r\n'”‘”‘, ‘”‘”‘\n'”‘”‘);f.close();exec(compile(code,…

ImportError: No module named ‘_gdbm’ error while installing any package via pip/conda

I have been getting the following error while downloading anything with Conda or pip, for e.g. Numpy, Pandas, Pytorch etc. – Traceback (most recent call last): File “/usr/lib/python3.5/dbm/gnu.py”, line 4, in from _gdbm import * ImportError: No module named ‘_gdbm’ During handling of the above exception, another exception occurred: Traceback (most recent call last): File…

OOM error when resizing images in tensorflow

I am trying to resize the images in the cifar10 from Keras with this code cifar10 = tf.keras.datasets.cifar10 (train_images, train_labels), (test_images, test_labels) = cifar10.load_data() train_images = tf.image.resize(train_images, (244, 244)) test_images = tf.image.resize(test_images, (244, 244)) However, when I run it with my cpu I get this error message File “<string>”, line 3, in raise_from tensorflow.python.framework.errors_impl.ResourceExhaustedError: OOM…

parameter passed in function doesn’t exist in python shows variable not defined

Since i am a new in python i am trying few things my below code is not working. def strtolist(plStr): strl = [] strl = plstr.split(‘ ‘) print(strl) s1 = ‘hello this is my world, ok’ strtolist(s1) it is showing below error Traceback (most recent call last): File “E:/PythonPractice/venv/strtolist.py”, line 9, in strtolist(s1) File “E:/PythonPractice/venv/strtolist.py”,…